# Class SyncThrottleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.zookeeper.server.quorum.SyncThrottleException

All Implemented Interfaces:
  `Serializable`

public class SyncThrottleException extends Exception
Thrown when a `Leader` has too many concurrent syncs being sent to observers.

See Also:
  - `LearnerSyncThrottler`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SyncThrottleException(int concurrentSyncNumber, int throttleThreshold, LearnerSyncThrottler.SyncType syncType)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SyncThrottleException

public SyncThrottleException(int concurrentSyncNumber, int throttleThreshold, LearnerSyncThrottler.SyncType syncType)